Kerbal Space Program - Bug #15477

Spurious space at end of part title for Mystery Goo Container
06/14/2017 09:10 PM - djungelorm

Status: Updated Start date: 06/14/2017
Severity: Low % Done: 10%
Assignee:

Category: Spelling/Grammar/Localization

Target version:

Version: 1.3.0 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

The title for the mystery goo containment unit part has a spurious space at the end. This is appears to be a mistake.

The bug is on line 3918 of GameData/Squad/Localization/dictionary.cfg

#autoLOC_500685 = Mystery Goo™ Containment Unit\u0020

Should be corrected to:

#autoLOC_500685 = Mystery Goo™ Containment Unit

(I discovered this in the context of using a mod that gets a part from a vessel based on name, which broke when upgrading to 1.3.0)

History

#1 - 06/21/2017 07:27 AM - bewing

That space is there to attempt to force some screen display messages to have proper formatting. We will check if it still needs to be there or not.

#3 - 07/24/2019 08:43 PM - Robert.Keech

- Status changed from New to Need More Info

If possible could you please list the name of the mod that was affected

#4 - 07/24/2019 09:29 PM - djungelorm

Robert.Keech wrote:

If possible could you please list the name of the mod that was affected

kRPC

#5 - 07/29/2019 10:07 PM - chris.fulton
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

#6 - 09/12/2019 11:02 AM - djungelorm
This appears to have been fixed as of KSP 1.7.3.

Please close.
